stages:
  - build
  - tag

.build:
  stage: build
  trigger:
    include:
      - project: 'ci-tools/docker-builder'
        file: '/ci.yml'
    strategy: depend
  variables:
    BUILD_AARCH64: "false"
    BUILD_ARG_1: BUILD_TIME=$(date)
    BUILD_ARG_2: COMMIT_SHORT_SHA=$CI_COMMIT_SHORT_SHA

build_restish:
  extends: .build
  variables:
    TO: "${CI_REGISTRY_IMAGE}/restish"
    CONTEXT_DIR: restish/
    DOCKER_FILE: restish/Dockerfile

.tag:
  stage: tag
  image: gitlab-registry.cern.ch/ci-tools/docker-builder/tools
  variables:
    GIT_STRATEGY: none
  dependencies: []

tag_latest_restish:
  extends: .tag
  script:
    - /kaniko/auth.sh
    - crane tag "$CI_REGISTRY_IMAGE/restish:$CI_COMMIT_SHORT_SHA" "latest"
    - crane validate --remote "$CI_REGISTRY_IMAGE/restish:latest"
  only:
    - master
    - main
